org.eclipse.oomph.p2.core

## Interface BundlePool

- All Superinterfaces:
    AgentElement, AgentManagerElement, ProfileContainer

      public interface BundlePool
      extends AgentElement, ProfileContainer

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getClients()`
    `IFileArtifactRepository` | `getFileArtifactRepository()`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.AgentElement

      `getAgent`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.AgentManagerElement

      `delete, delete, getAgentManager, getLocation, isCurrent, isUsed, isValid`

    - ### Methods inherited from interface org.eclipse.oomph.p2.core.ProfileContainer

      `addProfile, getProfile, getProfileIDs, getProfiles`

- - ### Method Detail

    - #### getFileArtifactRepository

          IFileArtifactRepository getFileArtifactRepository()

    - #### getClients

          Set<String> getClients()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html